<div class="container-fluid">
    <div class="row">
        <div class="col-md-5 mt-5">
            <img src="../../../assets/images/bg1.jpg" width="100%" height="90%">
        </div>
        <div class="col-md-6">
            <div class="row">
                <div class="col-md-12">
                    <h2 class="text-center py-3">Sign Up</h2>
                </div>
                <div class="col-md-12 ">
                    <form name = "form" #myForm = "ngForm" (ngSubmit)="sigUpForm(myForm)" autocomplete="off">
                        <div class="form-group" >
                            <select class="custom-select form-control is-valid" [(ngModel)]="clicked" name="type" required  #typeErr = "ngModel" >
                                <option value="company">company</option>
                                <option value="user">user</option>
                            </select>
                            <div class="valid-feedback" *ngIf="typeErr.errors && (typeErr.dirty || typeErr.touched)">
                                <div [hidden]="!nameErr.errors.required">
                                    Field is required !
                                </div>
                            </div>
                        </div>
                        <div class="form-group" >
                            <label for="exampleInputEmail1">Display Name</label>
                            <input type="text" class="form-control is-valid" placeholder="Enter name" name="name" ngModel  #nameErr = "ngModel" required pattern="^[a-z0-9A-Z_-]{6,15}$" >
                            <div class="valid-feedback" *ngIf="nameErr.errors && (nameErr.dirty || nameErr.touched)">
                                <div [hidden]="!nameErr.errors.required">
                                    Username is required !
                                </div>
                                <div [hidden]="!nameErr.errors?.pattern">
                                    Please enter an valid UserName !
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="exampleInputEmail1">Email address</label>
                            <input type="email" class="form-control is-valid"  placeholder="Enter email" ngModel name="email" #emailErr = "ngModel" required pattern="^([a-zA-Z0-9_\-\.]{3,10})@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5})$">
                            <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
                            <div class="valid-feedback" *ngIf="emailErr.errors && (emailErr.dirty || emailErr.touched)">
                                <div [hidden]="!emailErr.errors.required">
                                    Email is required!
                                </div>
                                <div [hidden]="!emailErr.errors?.pattern">
                                    Please enter an valid email address!
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="exampleInputEmail1">Password</label>
                            <input type="password"  class = " form-control is-valid" placeholder="Enter Password" name="password" ngModel required #passErr = "ngModel" pattern="^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?!.*\s).{6,}$">
                            <div class="valid-feedback" *ngIf="passErr.errors && (passErr.dirty || passErr.touched)">
                                <div [hidden]="!passErr.errors.required">
                                    Password is required !
                                </div>
                                <div [hidden]="!passErr.errors?.pattern">
                                    Please enter an valid Password !
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="exampleInputEmail1">Mobile</label>
                            <input type="text"  class = " form-control is-valid" placeholder="Enter mobile number" name="phone" ngModel required #phoneErr = "ngModel" pattern="^[0-9]{10}$" >
                            <div class="valid-feedback" *ngIf="phoneErr.errors && (phoneErr.dirty || phoneErr.touched)">
                                <div [hidden]="!phoneErr.errors.required">
                                    Mobile Number is required !
                                </div>
                                <div [hidden]="!phoneErr.errors?.pattern">
                                    Please enter an valid Mobile Numbers !
                                </div>
                            </div>
                        </div>
                        <div class="form-group" *ngIf="clicked == 'user'">
                            <label for="exampleInputEmail1">Qualification</label>
                            <input type="text"  class = " form-control is-valid" placeholder="BE computer Science" name="qualification" ngModel required #qualifyErr = "ngModel"  list="quality">
                            <div class="valid-feedback" *ngIf="qualifyErr.errors && (qualifyErr.dirty || qualifyErr.touched)">
                                <div [hidden]="!qualifyErr.errors.required">
                                    Qualification  is required !
                                </div>
                            </div>
                            <datalist id = "quality">
                                <option value="" selected>BE</option>
                                <option value="MBA">MBA</option>
                                <option value="MSsc">MSC</option>
                                <option value="Mcom">MCOM</option>
                                <option value="BE/Btech">BE/Btech</option>
                            </datalist>
                        </div>
                        <div class="form-group" *ngIf="clicked == 'user'">
                            <label for="exampleInputEmail1">Experience</label>
                            <input type="number"  class = " form-control is-valid" placeholder="0/1/2/3/4" name="experience" ngModel required #expErr = "ngModel"  pattern="^([0-9]{1})$">
                            <div class="valid-feedback" *ngIf="expErr.errors && (expErr.dirty || expErr.touched)">
                                <div [hidden]="!expErr.errors.required">
                                    Experience  is required !
                                </div>
                                <div [hidden]="!expErr.errors?.pattern">
                                    Please enter an valid Experience !
                                </div>
                            </div>
                        </div>
                        <button type="submit" class="btn btn-primary" [disabled] = "myForm.invalid" >Primary</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
